| OLD | NEW |
| 1 #!/bin/bash --posix | 1 #!/bin/bash --posix |
| 2 # | 2 # |
| 3 # Copyright (c) 2011, the Dart project authors. Please see the AUTHORS file | 3 # Copyright (c) 2011, the Dart project authors. Please see the AUTHORS file |
| 4 # for details. All rights reserved. Use of this source code is governed by a | 4 # for details. All rights reserved. Use of this source code is governed by a |
| 5 # BSD-style license that can be found in the LICENSE file. | 5 # BSD-style license that can be found in the LICENSE file. |
| 6 | 6 |
| 7 # Compiles either TotalDart or Thump based on benchmark and reports | 7 # Compiles either TotalDart or Thump based on benchmark and reports |
| 8 # the metrics back to the collector. | 8 # the metrics back to the collector. |
| 9 # Removes 'out' directory if one exists. | 9 # Removes 'out' directory if one exists. |
| 10 | 10 |
| (...skipping 51 matching lines...) Expand 10 before | Expand all | Expand 10 after Loading... |
| 62 sed -ne $SED_INCR_CMD $DARTC_HOME/build.incr.txt | 62 sed -ne $SED_INCR_CMD $DARTC_HOME/build.incr.txt |
| 63 | 63 |
| 64 # Cleanup compiled output and metrics captures | 64 # Cleanup compiled output and metrics captures |
| 65 rm -rf $DARTC_HOME/out $DARTC_HOME/build.full.txt $DARTC_HOME/build.incr.txt | 65 rm -rf $DARTC_HOME/out $DARTC_HOME/build.full.txt $DARTC_HOME/build.incr.txt |
| 66 | 66 |
| 67 if [ ! "$? " = "0 " ]; then | 67 if [ ! "$? " = "0 " ]; then |
| 68 echo "ERROR: Compilation failed." 1>&2 | 68 echo "ERROR: Compilation failed." 1>&2 |
| 69 exit 1 | 69 exit 1 |
| 70 fi | 70 fi |
| 71 | 71 |
| OLD | NEW |